Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Employee
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
  • Core HR
    • Attendance
      • Get Time Attendance
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
        GET
      • Update Employee
        PUT
      • Get Employees List
        GET
      • Get Mastertypes List
        GET
      • Get Name Prefixes
        GET
      • Get Document Types
        GET
      • Update Employee
        POST
      • Add Employee Attachment
        POST
      • Update Employee Address
        POST
      • Update Employee Family
        POST
      • Update Employee Contact
        POST
      • Update Employee Education
        POST
      • Update Employee Experience
        POST
      • Update Employee CustomField
        POST
      • Delete Employee
        POST
      • Get Employee Role
        GET
      • Get Employee Movement Lists
        GET
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • Search Projects
      • Search Tasks
      • Create Timesheet Entry
  • Payroll
    • Get Financial Transactions
    • Update Financial Transactions
    • Create Loan
    • Get Cost Center
  • Welfare
    • Shuttle Buses
    • Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • Get Employee Achievements
      • Create Achievement Card
      • Create Achievement Award Document
      • Get Achievement Events
    • Praise
      • Get Employee Praises
      • Get Praise Types
      • Create Praise Reward Manager
    • StampCard
      • Get Stamp Cards
      • Get Stamp Card Detail
      • Add Stamp
    • Celebration
      • Get Upcoming Celebrations
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  • Employee
    • User Info
    • Update Employee Information
  1. Employee

Get Document Types

GET
https://api.gofive.co.th/empeo/api/v1/masters/mastersetup/document-type
ดึงประเภทเอกสารแนบ
ดึงประเภทเอกสารที่ใช้แนบไฟล์ให้พนักงาน โดยรวม 3 กลุ่ม master เข้าด้วยกัน: ประเภทเอกสารแนบ (26),
เอกสารการศึกษา (11) และเอกสารที่อยู่ (14) — ใช้หา TypeId ก่อนอัปโหลดเอกสารของพนักงาน
ผลลัพธ์เป็น object เดียว ไม่ใช่ array — รายการจริงอยู่ใน Data.MasterTypes
ไม่มี 204 — ไม่มีข้อมูลจะได้ 200 โดย MasterTypes เป็น array ว่าง
ต้องมีสิทธิ์ Open API โมดูล Employee ระดับ Read (ไม่ใช่ Master)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/masters/mastersetup/document-type' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
สำเร็จ — Data คือ object เดียวที่มีประเภทเอกสารทั้งหมดอยู่ใน MasterTypes
Bodyapplication/json

Examples
{
    "statusCode": 200,
    "message": "OK",
    "data": {
        "typeName": "ประเภทเอกสาร",
        "typeNameEN": "Document types",
        "masterTypes": [
            {
                "typeId": 1785,
                "typeName": "สำเนาวุฒิการศึกษา",
                "typeNameEN": "สำเนาวุฒิการศึกษา"
            },
            {
                "typeId": 1786,
                "typeName": "เอกสารอบรม",
                "typeNameEN": "Training "
            },
            {
                "typeId": 1804,
                "typeName": "สำเนาบัตรประชาชน",
                "typeNameEN": "อ"
            },
            {
                "typeId": 1805,
                "typeName": "สำเนาทะเบียนบ้าน",
                "typeNameEN": "สำเนาทะเบียนบ้าน"
            }
        ]
    }
}
🟢200User authentication required V2.
Modified at 2026-08-17 17:13:28
Previous
Get Name Prefixes
Next
Update Employee
Built with